Subject: bug#71927: 29.4; ibuffer-do-isearch and ibuffer-do-isearch-regexp not prompting for input

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Jul 2024 12:59:24 +0300

> From: Eshel Yaron <[email-masked]>
> Cc: Juri Linkov <[email-masked]>,  John Paul Wallington <[email-masked]>,
>   Basil L. Contovounesios <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Thu, 04 Jul 2024 09:12:10 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I have a question: ibuffer-do-isearch just calls
> > multi-isearch-buffers.  Does multi-isearch-buffers exit immediately,
> > or does it exit only when the multi-isearch is done?  If the former, I
> > guess this is why the problem happens.
> >
> >> So we need someone who knows ibuffer internals.
> >
> > I've added two people who might be able to help.
> 
> FWIW, AFAICT everything is working correctly, it's just that the
> "Operation finished" message hides the prompt.  ibuffer-do-isearch
> should tell define-ibuffer-op not to display that message, somehow.

I don't see how this could be considered "correct": the "Operation
finished" message is supposed to be shown only after the Isearch is
finished in all the marked buffer, not before.  It looks like we need
a function that will not return until all the buffers where searched,
because that's what define-ibuffer-op expects.  Don't you agree?